### Constructor

# Gsk BlurNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_blur_node_new (
      GskRenderNode* child,
      float radius
    )

#### Description [src]

Creates a render node that blurs the child.

#### Parameters

`child`

  Type: `GskRenderNode`

  The child node to blur.

  The data is owned by the caller of the function.

`radius`

  Type: `float`

  The blur radius. Must be positive.

#### Return value

Type: `GskBlurNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.